AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Create a bill payment

This document shows you how to create bill payments

Last updated 13 September 2026

post

https://api.flutterwave.com/v3/billers/{biller_code}/items/{item_code}/payment

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

biller_code string required
The unique identifier for the biller. This is returned as data[i].biller_code in the get billers response.

item_code string required
This is the item_code returned from bills categories endpoint as data[i].item_code

FILL IN ALL REQUIRED FIELDS

country string required
This is the country attached to the service being bought e.g. if service is Airtime and country is NG it means you are buying airtime in Nigeria.

customer_id string required
This is the customer identifier. For airtime, the value must be the customer's phone number. For DSTV, it must be the customer's smartcard number

amount number required
This is the amount for the service you would like to buy.

reference string
This is a unique reference passed by the developer to identify transactions on their end

callback_url string
Merchant-specific URL for bill payment callbacks

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

phone_number string

amount integer

network string

code string

tx_ref string

reference string

batch_reference string

recharge_token string

fee integer

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys